SDL_GetKeyboardInstanceName(3)

NAME
SDL_GetKeyboardInstanceName - Get the name of a keyboard.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetKeyboardInstanceName(SDL_KeyboardID instance_id);

DESCRIPTION
This function returns "" if the keyboard doesn't have a name.

FUNCTION PARAMETERS

instance_id
    the keyboard instance ID

RETURN VALUE
Returns the name of the selected keyboard, or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetKeyboards(3)